### Constructor

# EDataCal DataCalView new

#### Declaration [src]

    EDataCalView*
    e_data_cal_view_new (
      _ECalBackend* backend,
      _ECalBackendSExp* sexp,
      GDBusConnection* connection,
      const gchar* object_path,
      GError** error
    )

#### Description [src]

Creates a new `EDataCalView` and exports its D-Bus interface on `connection` at `object_path`. If an error occurs while exporting, the function sets `error` and returns `NULL`.

#### Parameters

`backend`

  Type: `_ECalBackend*`

  An `ECalBackend`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`sexp`

  Type: `_ECalBackendSExp*`

  An `ECalBackendSExp`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`connection`

  Type: `GDBusConnection`

  A `GDBusConnection`.

  The data is owned by the caller of the function.

`object_path`

  Type: `const gchar*`

  An object path for the view.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `EDataCalView`

A new `EDataCalView`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.